using System;

namespace _2_frilenseri
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = Convert.ToInt32(Console.ReadLine());
            double[][] AP = new double[N][];

            for (int i = 0; i < N; i++)
            {
                AP[i] = new double[2];
                string[] h = Console.ReadLine().Split(' ');
                AP[i][0] = Convert.ToDouble(h[0]);
                AP[i][1] = Convert.ToDouble(h[1]);
            }

            double max = 0;

            for (int i = 0; i < N; i++)
            {
                double maxh = 0;
                for (int j = 0; j < N; j++)
                {
                    if (AP[j][1] >= AP[i][1])
                    {
                        maxh += AP[j][0] * AP[i][1] / 100;
                    }
                }

                if (maxh > max)
                {
                    max = maxh;
                }
            }
            Console.WriteLine(max);
        }
    }
}